#========================================================================================
# package      DE_EPAGES::DHLIntraship::t::BuildWSDL11Client
# state        public
#----------------------------------------------------------------------------------------
# description  Unit test of BuildWSDL11Client
#========================================================================================
package DE_EPAGES::DHLIntraship::t::BuildWSDL11Client;
use strict;
use DE_EPAGES::DHLIntraship::API::SOAP::BuildWSDL11Client;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use Test::More;
use Test::Exception;

sub Main {
    Test_ErrorHandlingIfWSDLFileIsNotSet();
    done_testing();
}

sub Test_ErrorHandlingIfWSDLFileIsNotSet {
    my $SubTestName = (caller(0))[3];

    my $WSDL11Client = DE_EPAGES::DHLIntraship::API::SOAP::BuildWSDL11Client->new();

    throws_ok {$WSDL11Client->compile() } qr/To use the WSDLClient/,
              "$SubTestName - test error handling if the wsdl file is not set - an Error message";
}

RunScript( Sub => \&Main );